import Layout from '@/components/Layout'
export default [
  {
    path: '/',
    name: 'Layout',
    component: Layout,
    redirect: '/students',
    hidden: true
  },
  {
    path: '/student',
    component: Layout,
    meta: { onlyShowOneChild: true },
    children: [
      {
        path: '',
        name: 'Student',
        component: () => import('@/pages/student/index'),
        meta: { title: '学员管理', icon: '', permission: 'content-menu-advert-list' }
      }
    ]
  },
  {
    path: '/course',
    component: Layout,
    meta: { onlyShowOneChild: true },
    children: [
      {
        path: '',
        name: 'Course',
        component: () => import('@/pages/course/index'),
        meta: { title: '课程管理', icon: '', permission: 'content-menu-advert-list' }
      }
    ]
  },
  {
    path: '/project',
    component: Layout,
    meta: { onlyShowOneChild: true },
    children: [
      {
        path: '',
        name: 'Project',
        component: () => import('@/pages/project/index'),
        meta: { title: '项目管理', icon: '', permission: 'content-menu-advert-list' }
      }
    ]
  },
  {
    path: '/role',
    component: Layout,
    meta: { onlyShowOneChild: true },
    children: [
      {
        path: '',
        name: 'Role',
        component: () => import('@/pages/role/index'),
        meta: { title: '权限管理', icon: '', permission: 'content-menu-advert-list' }
      }
    ]
  },
  {
    path: '/error-page',
    component: Layout,
    redirect: '/error-page/404',
    name: 'ErrorPage',
    meta: { title: '访问出错', icon: 'el-icon-setting' },
    hidden: true,
    children: [
      {
        path: '404',
        name: '404',
        component: () => import('@/pages/error-page/404'),
        meta: { title: '404', icon: '' }
      },
      {
        path: '401',
        name: '401',
        component: () => import('@/pages/error-page/401'),
        meta: { title: '401', icon: '' }
      }
    ]
  },
  { path: '*', redirect: '/error-page', hidden: true }
]
